#ifndef __MMAP_H__
#define __MMAP_H__

#include <address.h>
#include <debug.h>

#define MMAP_SIZE 	4096 	// 512M
#define MMAP_USER 	32 		// 4M

extern uint mmap[MMAP_SIZE];

void mmap_init();

void mmap_allocate(uint address, uint offset);

uint mmap_alloc_system();
uint mmap_alloc_user();
void mmap_free(uint address);

uint mmap_alloc_ttb();
// void mmap_free_ttb();

#endif /* __MMAP_H__ */