#ifndef __PINOUT_H__
#define __PINOUT_H__

/* Raspberry Pi - Revision 2 */
/* Bottom P1-01 (left) */

#define GPIO_2 2
#define GPIO_3 3
#define GPIO_4 4
#define GPIO_17 17
#define GPIO_27 27
#define GPIO_22 22
#define GPIO_10 10
#define GPIO_9 9
#define GPIO_11 11

#define SDA GPIO_2
#define SCL GPIO_3
#define GPCLK0 GPIO_4
#define MOSI GPIO_10
#define MISO GPIO_9
#define SCLK GPIO_11

/* Top P1-02 (left) */

#define GPIO_14 14
#define GPIO_15 15
#define GPIO_18 18
#define GPIO_23 23
#define GPIO_24 24
#define GPIO_25 25
#define GPIO_8 8
#define GPIO_7 7

#define TXD GPIO_14
#define RXD GPIO_15
#define PCM_CLK GPIO_18
#define CE0 GPIO_8
#define CE1 GPIO_7

/* LEDs */

#define RED GPIO_25
#define GREEN GPIO_8
#define BLUE GPIO_7

/* Speaker */

#define SPEAKER GPIO_22

#endif /* __PINOUT_H__ */
