ENTRY(_reset) 

SECTIONS
{
	. = 0x8000;
	__system_stack = .;
	__kernel_start = .;
	__code_start = .;
	
	.text :
	{
		*(.init)
		*(.text)
	}

	. = ALIGN(4096);
	__code_end = .;
	__rodata_start = .;

	.rodata : { *(.rodata) }
	
	. = ALIGN(4096);
	__rodata_end = .;
	__data_start = .;
	
	.data : { *(.data) }
	
	. = ALIGN(4096);
	__data_end = .;
	__bss_start = .;
	
	.bss : { *(.bss) }
	
	. = ALIGN(4096);
	__bss_end = .;
	__kernel_end = .;

	/DISCARD/ :
	{
		*(*)
	}
}
