#ifndef __UART_H__
#define __UART_H__

#include <bcm2835.h>
#include <cbuffer.h>
#include <scheduler.h>

void uart_init();
void uart_irq();

/* syscall */

char getch();
void putch(char ch);
void tx_buffer_flush();

#endif /*  __UART_H__ */