#ifndef __CONSOLE_H__
#define __CONSOLE_H__

#include <QtSerialPort/QSerialPort>
#include <QtSerialPort/QSerialPortInfo>
#include <QtCore/QIODevice>
#include <QtWidgets/QDesktopWidget>
#include <ui_console.h>

class Console : public QWidget
{
	Q_OBJECT

public:
	Console(QWidget *parent = 0);
	~Console();

private slots:
	void btnConnectToggled(bool checked);
	void receive();

private:
	void connect();
	void disconnect();

private:
	Ui::Console *ui;
	QSerialPort *serial;
};

#endif /* __CONSOLE_H__ */