.global __aeabi_idivmod

// Operaciones que no pueden ser realizadas por hardware.

.section .text

@ R0: dividendo, R1: divisor
__aeabi_idivmod:
	@ r0: r
	@ r1: d
	mov r2, #32 @ N
	mov r3, #0  @ q
.while:
	sub r2, r2, #1 @ N--;
	lsr r4, r0, r2 @ (r >> N)
	cmp r4, r1
	blt .endif
	lsl r4, r1, r2
	sub r0, r0, r4
	mov r4, #1
	lsl r4, r4, r2
	add r3, r3, r4
.endif:
	cmp r2, #0
	bne .while
	mov r1, r0
	mov r0, r3
	mov pc, lr
