#include <miniUART.h>

void mini_uart_setup() {
	
	aux_peri_reg *aux = (aux_peri_reg*) aux_peri_reg_address;
	
	aux->enables = 1; // enable mini uart
	aux->mini_uart.interrupt_enable = 0; // disable ints
	aux->mini_uart.extra_control = 0; // disable tx/rx
	aux->mini_uart.line_control = 3; // 8-bit mode
	aux->mini_uart.modem_control = 0;
	aux->mini_uart.interrupt_enable = 0b0101; // enable ints
	aux->mini_uart.interrupt_identify = 0xc6; // clear fifo tx/rx
	//aux->mini_uart.baudrate = 270; // ((250,000,000/115200)/8)-1 = 270
	aux->mini_uart.baudrate = 3254; // 9600 bps
	aux->mini_uart.extra_control = 3; // enable tx/rx

	gpio_fsel(RXD, 0x02);
	gpio_fsel(TXD, 0x02);
	gpio_pud(RXD, 0x00);
	gpio_pud(RXD, 0x00);

	// aux->mini_uart.interrupt_enable = 0; // disable ints
	// aux->mini_uart.extra_control = 0; // disable tx/rx
	// aux->mini_uart.line_control = 3; // 8-bit mode
	// aux->mini_uart.modem_control = 0;
	// aux->mini_uart.interrupt_enable = 0; // disable ints
	// aux->mini_uart.interrupt_identify = 0xc6; // clear fifo tx/rx
	// aux->mini_uart.baudrate = 270; // ((250,000,000/115200)/8)-1 = 270
	// aux->mini_uart.extra_control = 3; // enable tx/rx
}

// Utilizada por debug()
void mini_uart_putc(char c) {
	
	aux_peri_reg *aux = (aux_peri_reg*) aux_peri_reg_address;
	
	while(1) {
		if(aux->mini_uart.line_status & 0x20) break;
	}
	
	aux->mini_uart.data = c;
}
